<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$idDoc=$sessao->getVar('transfere');
$objetocalculo = new calculos(); //calcula todos valores finais
$oficial='NAO';
//echo("1xxxxxxxxxxxxxxidDocumento= $idDoc<br>");
$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 $pdf->AddPage();//adicionando a primera pafina
			 $pdf->AliasNbPages();
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
    //PARAMETROS GERAIS
     //altura util=210  largura util=297(dados do adobe)
	 $maximoLAdobe=297;
	 $maximoHAdobe=210;
     $margemEsquerda=10;
	 $margemDireita=$maximoLAdobe-6;
	 $larguraUtil=$maximoLAdobe-16;
	 //largura de uma margem a outra = 281  se eu imprimo algo esta soma nao pode ultrapassar este valor
	 $cinza=220;
	 $pdf->SetFillColor($cinza,$cinza,$cinza);
	 $grosso=0.7;
	 $medio=0.4;
	 $fino=0.3;
	 $extraFino=0.2;
	 //ESTAS COTAS SAO AS COTRAS DAS LINHAS HORINTAIS GROSSAS QUE SERVEM DE ORIGEM PARA O QUE VEM A SEGUIR
	 $cota1=2;//inicio de tudo
	 $cota1a=27;//final do cabecalho
	 $cota2=30;
	 $cota3=55;
	 $cota4=104;
	 $cota5=145;
	 $cota6=149;
	 $cota7=157; //estas duas cotas sao definidas aqui memsmo
     $cota8=200;  //usara 195 se for colocar o rodape na munheca, mas pode usar a funcao footer que da mais 5 milimetros
     ####################################CABECALHO################################################
	 //NAO REMOVER  ESTA LINHA A SEGUIR
	 //sintaxe
	 //$pdf->Cell(30,10,'Angela',1,0,'C',1); 30=largura  10=altura   angela=texto   1=com borda    0=quebra de linhya a direita       Centralizado(L,C,R)  1=HACHURRADO 
	 $posicaoCab1=60;$posicaoCab2=245;
	 $pdf->Ln(0);
     //IMPRIME O NUMERO DO BOLETIM...
	 $vetorCabecalho=$objetocalculo->dadoslaboratorio();
     $vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);
	 $prd_id=$vetorDadosDocumento[39]; 
	 $caminhoFinal="ImagensClientes/r".$prd_id.".jpg";
	 if(file_exists($caminhoFinal)==TRUE):
		 $pdf->Image($caminhoFinal,11,3,39,18,'JPG');
     else:
	 	$pdf->SetFont('Arial','',7);
        $pdf->setXY(10,3);
		$pdf->Cell(60,20,'Arquivo '.$caminhoFinal. utf8_decode(' não existe') ,1,1,'L'); 	 
	 endif;	
	 
	 $pdf->SetFont('Arial','B',10);
	 $pdf->setXY($posicaoCab1,$cota1);
     $pdf->Cell(100,5,utf8_decode($vetorCabecalho[0]),0,0,'C');
	 $pdf->SetFont('Arial','',8);
	 $pdf->setXY($posicaoCab1,$cota1+5);
     $pdf->Cell(100,4,utf8_decode($vetorCabecalho[1]),0,0,'C');
	 $pdf->setXY($posicaoCab1,$cota1+9);
     $pdf->Cell(100,4,utf8_decode($vetorCabecalho[2]),0,0,'C');
	 $pdf->setXY($posicaoCab1,$cota1+13);
     $pdf->Cell(100,4,utf8_decode($vetorCabecalho[3]),0,0,'C');
	 
	  
	 
	 $pdf->SetFont('Times','',9);
	 $tama=45;
	 $texto=number_format($vetorDadosDocumento[1]/1000,3,'','');
	 $texto1=substr($vetorDadosDocumento[4],0,4);
	 $texto1="/".$texto1;
	 $pdf->SetFont('Times','B',8);
	 $pdf->setXY($margemEsquerda,23);
	 $pdf->Cell($larguraUtil,6,utf8_decode("TERMO DE CONFORMIDADE DE SEMENTE Nº " ).$texto.$texto1,1,1,'C',0);
	
	
	
	
	
	
	
	 $pdf->SetLineWidth($medio);
 
      ##PRIMEIRA ENTIDADE DADOS DO REQUERENTE#########################
	 $larguraDaLinha=3.5;
	 $pdf->SetLineWidth($extraFino);
	 $pdf->setXY($margemEsquerda,$cota2);
     global $amostraLong;
     $amostraLong=$vetori[5];
	 $pdf->SetFont('Times','B',8);
	 //$limiteDireito=200;
     $pdf->Cell($larguraUtil,$larguraDaLinha,utf8_decode('IDENTIFICAÇÃO DO PRODUTOR[ ]  OU REEMBALADOR[X]'),0,1,'L',0);	
	 $pdf->Ln(0);
     $pdf->SetFont('Times','',8);
     $pdf->Cell(281,$larguraDaLinha,utf8_decode('Nome/Razão Social:'.$vetorDadosDocumento[0]) ,1,1,'L');
	 
     $pdf->Cell(181,$larguraDaLinha,'CPF/CNPJ:'.utf8_decode($vetorDadosDocumento[36]) ,1,0,'L');
     $pdf->Cell(100,$larguraDaLinha,utf8_decode('RENASEM Nº:'.$vetorDadosDocumento[6]) ,1,1,'L');
	 
     $pdf->Cell(281,$larguraDaLinha,utf8_decode('Endereço:'.$vetorDadosDocumento[8]) ,1,1,'L');
	 
     $pdf->Cell(50,$larguraDaLinha,'Telefone:'.utf8_decode($vetorDadosDocumento[33]) ,1,0,'L');
     $pdf->Cell(80,$larguraDaLinha,'E-mail:'.utf8_decode($vetorDadosDocumento[33]) ,1,0,'L');
     $pdf->Cell(100,$larguraDaLinha,utf8_decode('Município:'.$vetorDadosDocumento[35]) ,1,0,'L');
	 $pdf->Cell(51,$larguraDaLinha,'CEP:'.utf8_decode($vetorDadosDocumento[34]) ,1,1,'L');
	 $pdf->SetFont('Times','B',8);
	 
	 //como o termo deve trazer os dados do rt do produtor é justo que ele pegue o nome do amostrador
	 //e nao os dados do tecnico cadastrado no laboratorio
	 //SEGUNDA ENTIDADE responsavel tecnico#######################################
	 //entra de qualquer maneira para capturar todos dados do amostrador,
	 //que na verdade e´o rt do produtor.
	$generica=new tabelagenerica();
		$generica->tabela="remetente,amostrador";
		$generica->campos_valores = array(
				"amt_nome" => NULL,
				"amt_cpf" => NULL,
				"amt_renasem" => NULL,
				"amt_endereco" => NULL,
				"amt_telefone" => NULL,
				"amt_email" => NULL,
				"amt_municipio" => NULL,
				"amt_cep" => NULL,
				"amt_crea" => NULL,
				"amt_id" => NULL,
			);
		$generica->extras_select =" where  amt_id=prd_cod_amostrador and  prd_id=".$prd_id;
	    $generica->selecionaCampos($generica);
	    $nomeTecnicoTermo="Amostrador vinculado";
        while($resGenerica = $generica->retornaDados()):
		   $nomeTecnicoTermo=$resGenerica->amt_nome;
		   $cpfTecnicoTermo=$resGenerica->amt_cpf;
		   $renasemTecnicoTermo=$resGenerica->amt_renasem;
		   $enderecoTecnicoTermo=$resGenerica->amt_endereco;
		   $telefoneTecnicoTermo=$resGenerica->amt_telefone;
		   $emailTecnicoTermo=$resGenerica->amt_email;
		   $municipioTecnicoTermo=$resGenerica->amt_municipio;
		   $cepTecnicoTermo=$resGenerica->amt_cep;
		   $creaTecnicoTermo=$resGenerica->amt_crea;
		   $idTecnico=$resGenerica->amt_id;
		endwhile;
		
	    //captura dados do tecnico
     if($cliente=='TRISOLO'):
         $codProdutor=$idLabo;
     endif;		 
	 // $codProdutor=   
     $user = new tecnico();
	 $user->extras_select = "WHERE ret_funcao='TCON' AND ret_id_labo=$codProdutor order by ret_nome ";
        $user->selecionaTudo($user);
        while ($res = $user->retornaDados()):
            $nomeRT=$res->ret_nome;
            $cpfRT=$res->ret_cpf;
            $municipioRT=$res->ret_municipio;
            $renasemRT=$res->ret_renasem;
            $cepRT=$res->ret_cep;
            $enderecoRT=$res->ret_endereco;
            $emailRT=$res->ret_email;
            $telefoneRT=$res->ret_telefone;
            $creaRT=$res->ret_crea;
			$idTecnico=$res->ret_id;
			$cargoRT=$res->ret_cargo;
			$assinaturaAtivada=$res->ret_assinatura;
        endwhile;  
	 


	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'TCON');
	 $pdf->Cell($larguraUtil,5,utf8_decode('IDENTIFICAÇÃO DO RESPONSÁVEL TÉCNICO'),0,1,'L',0);	
	 $pdf->SetFont('Times','',8);
     $pdf->Cell(281,$larguraDaLinha,utf8_decode('Nome:'.$nomeRT) ,1,1,'L');
	 
     $pdf->Cell(181,$larguraDaLinha,'CPF:'.$cpfRT ,1,0,'L');
     $pdf->Cell(100,$larguraDaLinha,utf8_decode('RENASEM Nº:'.$renasemRT ),1,1,'L');
	 
     $pdf->Cell(281,$larguraDaLinha,utf8_decode('Endereço:'.$enderecoRT ),1,1,'L');
	 
     $pdf->Cell(50,$larguraDaLinha,'Telefone:'.$telefoneRT ,1,0,'L');
     $pdf->Cell(80,$larguraDaLinha,'e-mail:'.utf8_decode($emailRT) ,1,0,'L');
     $pdf->Cell(100,$larguraDaLinha,utf8_decode('Município:'.$municipioRT) ,1,0,'L');
     $pdf->Cell(51,$larguraDaLinha,'Cep:'.$cepRT ,1,1,'L');
	 
	 
	 //SETOR DE OUTROS DADOS 
	 $pdf->Ln(5);//linha em branco
     $pdf->Cell(50,$larguraDaLinha,utf8_decode('Espécie:'.$vetorDadosDocumento[2]) ,1,0,'L');
     $pdf->Cell(80,$larguraDaLinha,'Cultivar:'.utf8_decode($vetorDadosDocumento[3]) ,1,0,'L');
     $pdf->Cell(100,$larguraDaLinha,'Categoria:'.$vetorDadosDocumento[10] ,1,0,'L');
     $pdf->Cell(51,$larguraDaLinha,'Safra:'.$vetorDadosDocumento[9] ,1,1,'L');
	 $pdf->Ln(0.5);
	 $texto="Atestamos que os lotes de sementes, abaixo discriminados, foram produzidos de acordo com as normas e padrões estabelecidos pelo Ministério da Agricultura,";
     $pdf->Cell(280,$larguraDaLinha,utf8_decode($texto) ,0,1,'L');
	 $texto="Pecuária e Abastecimento e analisados pelo Laboratório de análise de sementes ";
     $pdf->Cell(100,$larguraDaLinha,utf8_decode($texto), 0,0,'L');
	 $pdf->SetFont('Times','U',8);
     $pdf->Cell(130,$larguraDaLinha,utf8_decode($vetorCabecalho[0]).", " ,0,1,'L');
	 //linha final composta
	 $pdf->SetFont('Times','',8);
     $pdf->Cell(20,$larguraDaLinha,'no Estado de' ,0,0,'L');
	 $pdf->SetFont('Times','U',8);
     $pdf->Cell(5,$larguraDaLinha,$vetorCabecalho[7] ,0,0,'C');
	 $pdf->SetFont('Times','',8);
     $pdf->Cell(60,$larguraDaLinha,utf8_decode('credenciado no RENASEM sob nº '.$vetorDadosDocumento[6]) ,0,0,'C');
	 $pdf->SetFont('Times','U',8);
     $pdf->Cell(30,$larguraDaLinha,$vetorCabecalho[8] ,0,0,'C');
	 $pdf->SetFont('Times','',8);
     $pdf->Cell(71,$larguraDaLinha,utf8_decode(', apresentando as seguintes características.' ),0,1,'L');

     //cria a moldura externa que enquadra os resultadoas	  
	 $cota5=87;
	 $cota5aa=91;
	 $cota5a=95;
	 $cota5b=103;
	 $cota6=155;
	 //cria os espacadores vertcais
	 $largo[1]=25;
	 $largo[2]=19;
	 $largo[3]=20;
	 $largo[4]=20;
	 $largo[5]=18;
	 $largo[6]=20;
	 $largo[7]=20;
	 $largo[8]=30;
	 $largo[9]=25;
	 $largo[10]=25;
	 $largo[11]=25;
	 $largo[12]=30;
	 $posicao[1]=10;
     //cria o vetor posicaox
	 for($i=1;$i<13;$i++)
	 {
    	 $posicao[$i+1]=$posicao[$i]+$largo[$i];
	 }	 

	 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha orizontal superior setor de resultados
	 $pdf->Line($margemEsquerda,$cota5,$margemEsquerda,$cota6);//linha lateral esquerda setor de resultados
	 $pdf->Line($margemDireita,$cota5,$margemDireita,$cota6);//linha lateral direita setor de resultados
	 $pdf->Line($margemEsquerda,$cota6,$margemDireita,$cota6);//linha orizontal inferior setor de resultados
     //cria umas semi-linhas de certas posicoes pra formar quadros
     $pdf->Line($posicao[2],$cota5a,$posicao[6],$cota5a);//primeira semilinha
     $pdf->Line($posicao[9],$cota5aa,$posicao[12],$cota5aa);//segunda semilinha
     //cria uma linha no cabeçalho
	 $pdf->Line($margemEsquerda,$cota5b,$margemDireita,$cota5b);//linha orizontal superior setor de resultados
	 //imprime os tracos verticais
	 for($i=1;$i<13;$i++) 
	 {
    	 if($i==3 || $i==5 )  $pdf->Line($posicao[$i],$cota5a,$posicao[$i],$cota6);//linha orizontal inferior setor de resultados
    	 if($i==10 || $i==11) $pdf->Line($posicao[$i],$cota5aa,$posicao[$i],$cota6);//linha orizontal inferior setor de resultados
		 if($i==1 || $i==2 || $i==4 || $i==6 || $i==7 || $i==8 || $i==9 || $i==12)  $pdf->Line($posicao[$i],$cota5,$posicao[$i],$cota6);   //linha orizontal inferior setor de resultados
	 } 
	 //encumento do setor de cabecalho de resultados
	 $pdf->Ln(2);
	 $pdf->SetFont('Times','',8);
	 //Primeira linha
     $pdf->Cell($largo[1],$larguraDaLinha,'Lote' ,0,0,'C');
     $pdf->Cell($largo[2]+$largo[3],$larguraDaLinha,'Representatividade',0,0,'C');
     $pdf->Cell($largo[4]+$largo[5],$larguraDaLinha,utf8_decode('Boletim de Análise') ,0,0,'C');
     $pdf->Cell($largo[6],$larguraDaLinha,'Pureza' ,0,0,'C');
     $pdf->Cell($largo[7],$larguraDaLinha,utf8_decode('Germinação ou' ),0,0,'C');
     $pdf->Cell($largo[8],$larguraDaLinha,'Sementes' ,0,0,'C');
     $pdf->Cell($largo[9]+$largo[10]+$largo[11],$larguraDaLinha,'Outros fatores' ,0,0,'C');
     $pdf->Cell($largo[12],$larguraDaLinha,'Validade do teste de' ,0,1,'C');
     //linha seguinte, ja dei a auebra de linha
     $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode('Nº') ,0,0,'C');
     $pdf->Cell($largo[2]+$largo[3],$larguraDaLinha,'do Lote' ,0,0,'C');
     $pdf->Cell($largo[4]+$largo[5],$larguraDaLinha,' ' ,0,0,'C');
     $pdf->Cell($largo[6],$larguraDaLinha,'%' ,0,0,'C');
     $pdf->Cell($largo[7],$larguraDaLinha,'Viabilidade' ,0,0,'C');
     $pdf->Cell($largo[8],$larguraDaLinha,'mortas' ,0,0,'C');
	 $dete1=$pdf->vetorDete1[0];
	 $dete2=$pdf->vetorDete1[1];
	 $dete3=$pdf->vetorDete1[2];
	
	//ENTRA DE QUAKQUER MANEIRA PARA ACHAR AS DETS DESTA ESPECIE
	$idEspecie=$vetorDadosDocumento[28];
    $generica5=new tabelagenerica();
	$generica5->tabela='deteatestado';
	$generica5->campos_valores = array(
			"dbo_sigla_dete1" => NULL,
			"dbo_sigla_dete2" => NULL,
			"dbo_sigla_dete3" => NULL,
			"dbo_sigla_dete4" => NULL,
		);
	$generica5->extras_select =" where  dbo_lab=".$idLabo." && dbo_especie=".$idEspecie;
	//echo $generica->extras_select ;
	
    $generica5->selecionaCampos($generica5);
	while ($resgenerica5 = $generica5->retornaDados()):
		$sigla[1]=$resgenerica5->dbo_sigla_dete1;
		$sigla[2]=$resgenerica5->dbo_sigla_dete2;
		$sigla[3]=$resgenerica5->dbo_sigla_dete3;
		$sigla[4]=$resgenerica5->dbo_sigla_dete4;
    endwhile;
    //$sigla[3]="GG";
	 
     //$pdf->Cell($largo[9],$larguraDaLinha,utf8_decode($dete1),1,0,'C');
     //$pdf->Cell($largo[10],$larguraDaLinha,utf8_decode($dete2) ,0,0,'C');
     //$pdf->Cell($largo[11],$larguraDaLinha,utf8_decode($dete3) ,0,0,'C');
	 //acha daddos da determinacaoes VAI ME TRAZER UMA MATRIZ BIDIMENSIONALxxxxxxxxx

	 $matrizTitulosDetes=$objetocalculo->achaTitulosDetes($idEspecie,$idLabo,'deteatestado');
     //AQUI ELES PEDIRAM PENEIRA NA PRIMEIR COLUNA DE OUTROS FATORES
     $matrizTitulosDetes[1][1]="Peneira";//primeira linha
     $matrizTitulosDetes[2][1]="";//segunda linha
     $matrizTitulosDetes[3][1]="";//terceira linha

     //coloquei vigna na segunda coluna DE OUTROS FATORES
     $matrizTitulosDetes[1][2]="Vigna";//primeira linha
     $matrizTitulosDetes[2][2]="unguiculata";//segunda linha
     $matrizTitulosDetes[3][2]="(N)";//terceira linha
	 
	 if($sigla[2]=="INF"):
	    $matrizTitulosDetes[1][2]="Sementes";//primeira linha
        $matrizTitulosDetes[2][2]="infestadas";//segunda linha
        $matrizTitulosDetes[3][2]="(%)";//terceira linha
	 
	 endif;

     //coloquei -0- na terceira coluna DE OUTROS FATORES
     $matrizTitulosDetes[1][3]="-O-";//primeira linha
     $matrizTitulosDetes[2][3]="";//segunda linha
     $matrizTitulosDetes[3][3]="";//terceira linha



     $pdf->Cell($largo[9],$larguraDaLinha,utf8_decode($matrizTitulosDetes[1][1]),0,0,'C');
	 if($matrizTitulosDetes[1][2]=="Vigna")$pdf->SetFont('Arial','I',7);
     $pdf->Cell($largo[10],$larguraDaLinha,utf8_decode($matrizTitulosDetes[1][2]) ,0,0,'C');
	 $pdf->SetFont('Arial','',7);
     $pdf->Cell($largo[11],$larguraDaLinha,utf8_decode($matrizTitulosDetes[1][3]) ,0,0,'C');
     $pdf->Cell($largo[12],$larguraDaLinha,utf8_decode('Germinação ou de') ,0,1,'C');
     //linha seguinte, ja dei a auebra de linha
     $pdf->Cell($largo[1],$larguraDaLinha,' ' ,0,0,'C');
     $pdf->Cell($largo[2],$larguraDaLinha,utf8_decode('Nº de') ,0,0,'C');
     $pdf->Cell($largo[3],$larguraDaLinha,'Peso por' ,0,0,'C');
     $pdf->Cell($largo[4],$larguraDaLinha,utf8_decode('Nº') ,0,0,'C');
     $pdf->Cell($largo[5],$larguraDaLinha,'Data' ,0,0,'C');
     $pdf->Cell($largo[6],$larguraDaLinha,' ' ,0,0,'C');
     $pdf->Cell($largo[7],$larguraDaLinha,'%' ,0,0,'C');
     $pdf->Cell($largo[8],$larguraDaLinha,'%' ,0,0,'C');
     $pdf->Cell($largo[9],$larguraDaLinha,utf8_decode($matrizTitulosDetes[2][1]),0,0,'C');
	 if($matrizTitulosDetes[2][2]=="unguiculata")$pdf->SetFont('Arial','I',7);
     $pdf->Cell($largo[10],$larguraDaLinha,utf8_decode($matrizTitulosDetes[2][2]) ,0,0,'C');
	 $pdf->SetFont('Arial','',7);	 
     $pdf->Cell($largo[11],$larguraDaLinha,utf8_decode($matrizTitulosDetes[2][3]) ,0,0,'C');
     $pdf->Cell($largo[12],$larguraDaLinha,'viabilidade' ,0,1,'C');
     //linha seguinte, ja dei a auebra de linha
     $pdf->Cell($largo[1],$larguraDaLinha,' ' ,0,0,'C');
     $pdf->Cell($largo[2],$larguraDaLinha,'embalagens' ,0,0,'C');
     $pdf->Cell($largo[3],$larguraDaLinha,'embalagem(Kg)' ,0,0,'C');
     $pdf->Cell($largo[4],$larguraDaLinha,'' ,0,0,'C');
     $pdf->Cell($largo[5],$larguraDaLinha,'' ,0,0,'C');
     $pdf->Cell($largo[6],$larguraDaLinha,' ' ,0,0,'C');
     $pdf->Cell($largo[7],$larguraDaLinha,'' ,0,0,'C');
     $pdf->Cell($largo[8],$larguraDaLinha,'' ,0,0,'C');
	 if($sigla[2]=="PM1")$pdf->SetFont('Arial','I',7);
     $pdf->Cell($largo[9],$larguraDaLinha,$matrizTitulosDetes[3][1] ,0,0,'C');
	 $pdf->SetFont('Arial','',7);
     $pdf->Cell($largo[10],$larguraDaLinha,$matrizTitulosDetes[3][2] ,0,0,'C');
     $pdf->Cell($largo[11],$larguraDaLinha,$matrizTitulosDetes[3][3] ,0,0,'C');
     $pdf->Cell($largo[12],$larguraDaLinha,utf8_decode('(mês/ano)') ,0,1,'C');
	 
	 #################vai imprimir resultados##########################################
	 //aqui vou preparar o vetor de resultados/amostras
//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");



//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
//prepara para imprimir////////////////////////////////
	 $limiteBola=12;
	 $cota4f=$cota4+($registros)*4.0; // linha de fechamento
	 $linhas=3;
	 $pdf->SetFont('Times','',8);
	 $alturaLinhaResultados=4.3;//define a largura das linhas de resultados
     $pdf->Ln(1);//da um milimetro de folga 
	 $largo[1]=25;
	 $largo[2]=19;
	 $largo[3]=20;
	 $largo[4]=20;
	 $largo[5]=18;
	 $largo[6]=20;
	 $largo[7]=20;
	 $largo[8]=30;
	 $largo[9]=25;
	 $largo[10]=25;
	 $largo[11]=25;
	 $largo[12]=34;
$generica=new tabelagenerica();

$generica->tabela="documentosponte";
$generica->campos_valores = array(
		"dpo_amostra_vinculada" => NULL,
	);
$generica->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 12";
	 
$generica->selecionaCampos($generica);
$contaAmostras=0;
//vai percorrer todas amostras
$cotaCorpo=98;



while ($resgenerica = $generica->retornaDados()):
    $contaAmostras++;
	//aqui prepara os dados
	$amostraLong=$resgenerica->dpo_amostra_vinculada;
	////////////////
	$generica1=new tabelagenerica();
		$generica1->tabela="ficha";
		$generica1->campos_valores = array(
			"fic_validade" => NULL,
		);
		$generica1->extras_select =" where  fic_id=".$amostraLong;
	    $generica1->selecionaCampos($generica1);
		while ($resgenerica1 = $generica1->retornaDados()):
			$validade=$resgenerica1->fic_validade;
	    endwhile;	
	//////////////////
	
	$amostraLong1=$resgenerica->dpo_amostra_vinculada;
    $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
    $vetorResultados[1]=$vetorAmostraBruto[2];//lote
    $vetorResultados[6]=$vetorAmostraBruto[4];//pureza
    $vetorResultados[7]=$vetorAmostraBruto[3];//germinacao
    //$vetorResultados[8]=$vetorAmostraBruto[13];//duras
    $vetorResultados[8]=$vetorAmostraBruto[14];//mortas
	
	//aqui acha O VALOR DAS OUTRAS DETERMINACOES resultado de outras determinaçoes
	$vetorOutrasDeterminacoes=$objetocalculo->captura_outras_determinacoes($amostraLong,$idEspecie,$idLabo,'deteatestado');
	$vetorResultados[9]=$vetorOutrasDeterminacoes[1];
	//AQUI ELES PEDIRAM PENEIRA NA PRIMEIR COLUNA DE OUTROS FATORES
	$vetorResultados[9]=$vetorAmostraBruto[35];
	
	$vetorResultados[10]=$vetorOutrasDeterminacoes[2];//TRAZ O PMS CERTINHO
	$vetorResultados[11]=$vetorOutrasDeterminacoes[3];
	
//joga zero porque nao vai fazzer termo de amostra que apareceu vigna	
if($sigla[1]=="PM1")$vetorResultados[9]=0;	
if($sigla[2]=="PM1")$vetorResultados[10]=0;	
if($sigla[3]=="PM1")$vetorResultados[11]=0;	
	
	//validade
    //$vetorResultados[12]=$vetorAmostraBruto[57];//validade
	$vetorResultados[12]=$validade;//validade

	//if($cliente=='TESTES INTEGRAL')$vetorResultados[12]='DEZ/2014';

	
	
    //acha a representatividade
	$representatividade=$vetorAmostraBruto[6];//representatividade arquivada na tabela fich
	
	
	
	
    $composto=$objetocalculo->representatividadeTermo($representatividade);//vai manipular estes dados
    list($parte1,$parte2) = explode(":", $composto);//
	$vetorResultados[2]=$parte1;//numero de sacos
	$vetorResultados[3]=$parte2;//unidade	
    
	
	//$vetorResultados[2]=$cliente;	
	
    //localiza o numero do boletim e a data do mesmo
		//ENTRA DE QUAKQUER MANEIRA
		
		$data="-x-";
		$numero="-x-";
	    $generica1=new tabelagenerica();
		$generica1->tabela="documentos,documentosponte";
		$generica1->campos_valores = array(
				"doc_data" => NULL,
				"doc_numero" => NULL,
			);
		$generica1->extras_select =" where  doc_tipo='Boletim' AND dpo_documento_autonumerador=doc_id AND dpo_amostra_vinculada=".$amostraLong1;
	    $generica1->selecionaCampos($generica1);
		while ($resgenerica1 = $generica1->retornaDados()):
			$numero=number_format($resgenerica1->doc_numero/1000,3,'','');
			$data=date("d/m/Y",strtotime($resgenerica1->doc_data));
	    endwhile;
		
		$vetorResultados[4]=$numero;
		$vetorResultados[5]=$data;

    //aqui prepara para imprimir a linha 
	     $cotaCorpo+=$alturaLinhaResultados;         
		 //$cotaCalculada=$cota4+$L*$alturaLinhaResultados-1;
    	 $pdf->SetXY($margemEsquerda,$cotaCorpo);
		 for($i=1;$i<=12;$i++)
		 {
			 $pdf->Cell($largo[$i],$alturaLinhaResultados,$vetorResultados[$i],1,0,'C');
		 }
 	 
endwhile;




 //coloca  um -O-  para fechar =================
 $cota1=$cotaCalculada;
 $cota1+=5;//incrementa linha para colocar na linha seguinte
 $cotaCorpo+=$alturaLinhaResultados; 
 $pdf->setXY($margemEsquerda,$cotaCorpo);
 for($i=1;$i<=12;$i++):  
	$pdf->Cell($largo[$i],$alturaLinhaResultados,"-O-",0,0,'C');//numero de ordem 1,2,3,4,5 
 endfor; 

 //$idTecnico=71;  isso é do salomao
//$idTecnico=71;//  isso é do salomao


$pedaco=substr($vetorDadosDocumento[0],0,7);
if($pedaco=='CANASSA'):
   $pedacoConferido=$pedaco;
   $idTecnico=80;
   $assinaturaAtivada="SIM"; 
   $alturaAssinatura=25; 
endif;

$pedaco=substr($vetorDadosDocumento[0],0,9);
if($pedaco=='ERLI AIMI'):
   $pedacoConferido=$pedaco;
   $idTecnico=81;
   $assinaturaAtivada="SIM"; 
   $alturaAssinatura=15; 
endif;

$pedaco=substr($vetorDadosDocumento[0],0,12);   
if($pedaco=='SEMENTES MAN'):
   $pedacoConferido=$pedaco;
   $idTecnico=71;
   $assinaturaAtivada="SIM"; 
   $alturaAssinatura=50; 
endif;   
 
$vetorTecnico=$objetocalculo->dadostecnico($idLabo,'TCON');
//$nomeTecnicoTermo=$vetorTecnico[1];
//$nomeTecnicoTermo='TESTE';
//$cpfTecnicoTermo=$vetorTecnico[9];
//$renasemTecnicoTermo=$vetorTecnico[3];
//$enderecoTecnicoTermo=$vetorTecnico[8];
//$telefoneTecnicoTermo=$vetorTecnico[10];
//$emailTecnicoTermo=$vetorTecnico[11];
//$municipioTecnicoTermo=$vetorTecnico[6];
//$cepTecnicoTermo=$vetorTecnico[12];
//$creaTecnicoTermo=$vetorTecnico[2];
//assinatura do tecnico
//$idTecnico=$vetorTecnico[5];
//$assinaturaAtivada=$vetorTecnico[4];

if($assinaturaAtivada=="SIM"):
	$caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
	if($pedacoConferido=='ERLI AIMI'):
	    $pdf->Image($caminhoFinalTecnico,229,$cota7+10,47,$alturaAssinatura,'JPG');
	endif;	
	if($pedacoConferido=='SEMENTES MAN'):
	    $pdf->Image($caminhoFinalTecnico,229,$cota7,25,$alturaAssinatura,'JPG');
	endif;	
	if($pedacoConferido=='CANASSA'):
	    $picasso="kkk";
	    $pdf->Image($caminhoFinalTecnico,229,$cota7+10,37,$alturaAssinatura,'JPG');
	endif;	




endif; 
 



	 $base[1][1]="Observações:".$picasso.$pedacoConferido;
	 $base[2][1]=$vetorDadosDocumento[19];
	 $base[3][1]=$vetorDadosDocumento[20];
	 $base[4][1]=$vetorDadosDocumento[21];
	 $base[5][1]=$vetorDadosDocumento[22];
	 $base[6][1]=$vetorDadosDocumento[23];
	 $base[7][1]=$vetorDadosDocumento[24];
	 $base[8][1]=$vetorDadosDocumento[25];
	 $base[9][1]=$vetorDadosDocumento[26];

	 $base[1][2]=$vetorCabecalho[6].", ".$vetorDadosDocumento[27];
	 $base[2][2]="";
	 $base[3][2]="";
	 $base[4][2]=$nomeRT;
	 $base[5][2]="RENASEM:".$renasemRT."  CREA:".$creaRT;
	 //$base[6][2]=$vetorTecnico[3];
	 $largo[1]=220;
	 $largo[2]=65;
	 $pdf->SetXY(10,$cota7);
	 $positron[1]=10;
	 $cotaLinha=$cota7;
	 $larguraDaLinha=4.0;
     $valorCotaLinhas=155;
     //imprime observacoes   
     $cotaLinha=$valorCotaLinhas;
     for($L=1;$L<=10;$L++):
	     $cotaLinha+=$larguraDaLinha;
		 $pdf->SetXY($margemEsquerda,$cotaLinha);
		 $pdf->Cell($largo[$i],$larguraDaLinha,utf8_decode($base[$L][1]),0,0,"L");	
	 endfor;
     //imprime data   
     $cotaLinha=$valorCotaLinhas;
     for($L=1;$L<=1;$L++):
	     $cotaLinha+=$larguraDaLinha;
		 $pdf->SetXY(220,$cotaLinha);
		 $pdf->Cell($largo[$i],$larguraDaLinha,utf8_decode($base[$L][2]),0,0,"C");	
	 endfor;

     //tecnico   
     $cotaLinha=$valorCotaLinhas+20;
	 
     for($L=4;$L<=5;$L++):
	     $cotaLinha+=$larguraDaLinha;
		 $pdf->SetXY(220,$cotaLinha);
		 $pdf->Cell($largo[$i],$larguraDaLinha,utf8_decode($base[$L][2]),0,0,"C");	
	 endfor;


	 $pdf->rect($margemEsquerda,$cota7,$larguraUtil,38);

/*
	 //imprime numero de vias
	 //vai imprimir numero de via
	 $viaFinal=$sessao->getvar('controle1');
	 //echo("finallllll $viaFinal <br>");
	 $pdf->SetFont('Times','B',8);
	 $pdf->SetXY(270,$cota8-5);//era -10//
	 $numeroVias=$sessao->getvar('controle2');
	 //$pdf->Cell(20,$larguraDaLinha,utf8_decode($viaFinal),1,1,'R');	
	 //assinatura enxerto
   //assinatura do tecnico//////////////////////////////////
   $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'TCON');
   $nomeTecnicoTermo=$vetorTecnico[1];
   //$nomeTecnicoTermo='TESTE';
   $cpfTecnicoTermo=$vetorTecnico[9];
   $renasemTecnicoTermo=$vetorTecnico[3];
   $enderecoTecnicoTermo=$vetorTecnico[8];
   $telefoneTecnicoTermo=$vetorTecnico[10];
   $emailTecnicoTermo=$vetorTecnico[11];
   $municipioTecnicoTermo=$vetorTecnico[6];
   $cepTecnicoTermo=$vetorTecnico[12];
   $creaTecnicoTermo=$vetorTecnico[2];
   //assinatura do tecnico
   //$idTecnico=$vetorTecnico[5];
   
   
   
   ///////////////////////////////////////////////////


     //if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	
	 ////////
	 $cotrole11=$sessao->getVar('controle11'); 
	 /////////
	 
	 //if($assinaturaAtivada=='SIM'   &&  $cotrole11!='ASSINATURADESATIVADA'):
	 //if($assinaturaAtivada=='SIM'):
	 
	 //$pdf->Cell(20,$larguraDaLinha,$assinaturaAtivada.utf8_decode($viaFinal),1,1,'R');

*/

	 ////////////////////
     $pdf->SetFont('Arial','',5);
	 $pdf->setXY($margemEsquerda,170);
	 //$pdf->Cell(20,3,$assinaturaAtivada.$idTecnico.$pedacoConferido."k"	,0,1,'L');
	 
	 
	 
	 
	 
ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

?>
